## dods.dap
Class DUInt32

    java.lang.Object
      dods.dap.BaseType
          dods.dap.DInt32
              dods.dap.DUInt32

All Implemented Interfaces:
  ClientIO, Cloneable

Direct Known Subclasses:
  SDUInt32

public class DUInt32
extends DInt32

Holds a DODS `UInt32` value.

See Also:
  `BaseType`

Constructor Summary
`DUInt32()` Constructs a new `DUInt32`.
`DUInt32(String n)` Constructs a new `DUInt32` with name `n`.

Method Summary
`String` `getTypeName()` Returns the DODS type name of the class instance as a `String`.
`PrimitiveVector` `newPrimitiveVector()` Constructs a new `UInt32PrimitiveVector`.
`void` `printVal(PrintWriter os, String space, boolean print_decl_p)` Prints the value of the variable, with its declaration.

Methods inherited from class dods.dap.DInt32
`deserialize, externalize, getValue, setValue`

Methods inherited from class dods.dap.BaseType
`checkSemantics, checkSemantics, clone, elementCount, elementCount, getLongName, getName, getParent, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printVal, printVal, printVal, setName, setParent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DUInt32

    public DUInt32()

  Constructs a new `DUInt32`.

### DUInt32

    public DUInt32(String n)

  Constructs a new `DUInt32` with name `n`.

Parameters:
  `n` - the name of the variable.

Method Detail

### newPrimitiveVector

    public PrimitiveVector newPrimitiveVector()

  Constructs a new `UInt32PrimitiveVector`.

  Overrides:
    `newPrimitiveVector` in class `DInt32`
  Returns:
    a new `UInt32PrimitiveVector`.

### getTypeName

    public String getTypeName()

  Returns the DODS type name of the class instance as a `String`.

  Overrides:
    `getTypeName` in class `DInt32`
  Returns:
    the DODS type name of the class instance as a `String`.

### printVal

    public void printVal(PrintWriter os,
                         String space,
                         boolean print_decl_p)

  Prints the value of the variable, with its declaration. This function is primarily intended for debugging DODS applications and text-based clients such as geturl.

  Overrides:
    `printVal` in class `DInt32`
  Parameters:
    `os` - the `PrintWriter` on which to print the value.
    `space` - this value is passed to the `printDecl` method, and controls the leading spaces of the output.
    `print_decl_p` - a boolean value controlling whether the variable declaration is printed as well as the value.
  See Also:
    `BaseType.printVal(PrintWriter, String, boolean)`